Bug 1032621 - Intermittent OOM PermGen space running basic-integration-default-web.surefire EAP tests on OracleJDK 1.6 64bit
Intermittent OOM PermGen space running basic-integration-default-web.surefire...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR2
: EAP 6.3.0
Assigned To: Pavel Jelinek
Pavel Jelinek
:
Depends On:
Blocks: 1071906
  Show dependency treegraph
 
Reported: 2013-11-20 08:46 EST by Pavel Jelinek
Modified: 2014-06-28 11:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1071906 (view as bug list)
Environment:
Last Closed: 2014-06-28 11:28:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Pavel Jelinek 2013-12-03 09:46:55 EST
Workaround is to increase default PermGen size for forked surefire JVM at least for basic tests. 
One of the easiest ways can be 
sed -i 's|<argLine>${jvm.args.ip.client} ${jvm.args.timeouts}</argLine>|<argLine>${jvm.args.ip.client} ${jvm.args.timeouts} -XX:MaxPermSize=128m</argLine>|' "${WORKSPACE}/jboss-eap-6.2-src/testsuite/integration/pom.xml"
Comment 3 Pavel Jelinek 2014-03-07 08:45:28 EST
Verified for EAP 6.3.0.DR2. Fix is in source zip and there is no more such OOM issue.

Note You need to log in before you can comment on or make changes to this bug.